// ======================================================================
// licht=================================================================

textures/de_aztec/jungle
{
	qer_editorimage textures/de_aztec/env/jungle_bk.tga
	q3map_lightmapFilterRadius 0 8	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_sunEXT 0.992 0.686 0.353 140 100 35 3 16	
	q3map_skyLight 80 5
	q3map_lightRGB 1 0.929 0.8

	q3map_noFog

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/de_aztec/env/jungle - -

	nopicmip
	nomipmaps
}


models/mapobjects/lamp/glass

{ 
   	
	qer_editorimage models/mapobjects/lamp/glass.tga
	q3map_lightImage models/mapobjects/lamp/colour.jpg
	surfaceparm nomarks
	q3map_surfacelight 40000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/lamp/glass.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/lamp/glass.tga
		blendfunc GL_ONE GL_ONE
	}
}


// ======================================================================
// wasser (from ut4_tohunga_b9)==========================================

textures/de_aztec/watercaulk
{

      qer_editorimage textures/de_aztec/watercaulk.tga
      qer_trans 0.5
      surfaceparm nodraw
      surfaceparm detail
      surfaceparm noimpact
      surfaceparm nonsolid
      surfaceparm trans
      surfaceparm water

}

textures/de_aztec/water
{
	qer_editorimage textures/de_aztec/water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water

        cull none
	nopicmip
	//fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/de_aztec/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 .1
        }
        {
            map textures/de_aztec/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll .05 -.01
        }
        {
            map textures/de_aztec/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 .1
        }
}

//vegetation=============================================================
// ======================================================================

//feuil morte 1
textures/runy9/raidfeuilmorteaa01
{ 
//	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
         map textures/runy9/raidfeuilmorteaa01.tga
	   blendfunc filter
	}
}

//feuil morte 2
textures/runy9/raidfeuilmortebb03
{ 
//	surfaceparm trans
	polygonOffset
	nomipmaps
	nopicmip

	{
         map textures/runy9/raidfeuilmortebb03.tga
	   blendfunc filter
	}
}

textures/runy9/raidvegfougplant001aa
{     
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
      
	{ 
   		
            map textures/runy9/raidvegfougplant001aa.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	} 
}


textures/runy9/raidveggrassplantcc01
{     
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
      
	{ 
   		
            map textures/runy9/raidveggrassplantcc01.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	} 
}



textures/runy9/raidvegplantgrass001
{     
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
      
	{ 
   		
            map textures/runy9/raidvegplantgrass001.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	} 
}


textures/runy9/raidvegplantgrassfeuil001
{     
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
	deformVertexes wave 5 sin 0 .3 0 .3
      
	{ 
   		
            map textures/runy9/raidvegplantgrassfeuil001.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	} 
}



textures/de_aztec/ivy_down
{
	qer_editorimage textures/de_aztec/ivy_down.tga
	qer_trans 0.99

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map textures/de_aztec/ivy_down.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex  //exactvertex
	}
}

textures/de_aztec/ivy_down2
{
	qer_editorimage textures/de_aztec/ivy_down2.tga
	qer_trans 0.99

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map textures/de_aztec/ivy_down2.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex  //exactvertex
	}

}


textures/de_aztec/sn_ivy3
{
	qer_editorimage textures/de_aztec/sn_ivy3.tga
	qer_trans 0.99

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	{
		map textures/de_aztec/sn_ivy3.tga
		alphaFunc GE128
		depthWrite
		rgbgen vertex  //exactvertex
	}

}



models/mapobjects/palmplant/diffus
{
        qer_alphafunc greater 0.5
        cull disable
        surfaceparm alphashadow
        q3map_bounceScale 0.0
//      deformVertexes bulge 3 3 .8
        {
                map models/mapobjects/palmplant/diffus.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}


models/mapobjects/parviflora/diffus
{
        qer_alphafunc greater 0.5
        cull disable
        surfaceparm alphashadow
        q3map_bounceScale 0.0
//      deformVertexes bulge 3 3 .8
        {
                map models/mapobjects/parviflora/diffus.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}


models/mapobjects/tropicalplant/diffus
{
        qer_alphafunc greater 0.5
        cull disable
        surfaceparm alphashadow
        q3map_bounceScale 0.0
//      deformVertexes bulge 3 3 .8
        {
                map models/mapobjects/tropicalplant/diffus.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}


models/mapobjects/tropicalplant2/diffus
{
        qer_alphafunc greater 0.5
        cull disable
        surfaceparm alphashadow
        q3map_bounceScale 0.0
//      deformVertexes bulge 3 3 .8
        {
                map models/mapobjects/tropicalplant2/diffus.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}


models/mapobjects/ktrtrop/palmleafs
{
        qer_alphafunc greater 0.5
        cull disable
        surfaceparm alphashadow
        q3map_bounceScale 0.0
//      deformVertexes bulge 3 3 .8
        {
                map models/mapobjects/ktrtrop/palmleafs.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}



//decals=================================================================
// ======================================================================

textures/de_aztec/keres4_decal36
{
	qer_editorimage textures/de_aztec/keres4_decal36.tga

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonOffset

	{
		map textures/de_aztec/keres4_decal36.tga
		blendfunc gl_dst_color gl_src_color
	}
}

// Flamme (from ut4_raiders)=============================================
// ======================================================================

textures/de_aztec/raidflameun
{

		
	qer_editorimage textures/de_aztec/raidfla01.jpg
	q3map_lightimage textures/de_aztec/raidfla01.jpg
      	surfaceparm trans
	surfaceparm nonsolid
      	surfaceparm nomarks
      	surfaceparm nolightmap
      	cull none
      	q3map_surfacelight 1800
	//deformVertexes wave 100 sin 2 5 0 1.1
	//deformVertexes wave 100 sin 5 5 0 1.1
	

	{
		animMap 10 textures/de_aztec/raidfla01.jpg textures/de_aztec/raidfla02.jpg textures/de_aztec/raidfla03.jpg textures/de_aztec/raidfla04.jpg textures/de_aztec/raidfla05.jpg textures/de_aztec/raidfla06.jpg textures/de_aztec/raidfla07.jpg textures/de_aztec/raidfla08.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/de_aztec/raidfla02.jpg textures/de_aztec/raidfla03.jpg textures/de_aztec/raidfla04.jpg textures/de_aztec/raidfla05.jpg textures/de_aztec/raidfla06.jpg textures/de_aztec/raidfla07.jpg textures/de_aztec/raidfla08.jpg textures/de_aztec/raidfla01.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	



      {

            map textures/de_aztec/raidflame.jpg
            blendFunc GL_ONE GL_ONE
            rgbGen wave sin .6 .2 0 .6

      }

}